# TODO
# - package apidocs
Summary:	Layer on top of PKCS#11 API to make using PKCS#11 implementations easier
Summary(pl.UTF-8):	Warstwa powyżej API PKCS#11 ułatwiająca używanie implementacji PKCS#11
Name:		libp11
Version:	0.2.8
Release:	2
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://www.opensc-project.org/files/libp11/%{name}-%{version}.tar.gz
# Source0-md5:	f46dcbbea13a0732ab095d36283d5060
URL:		http://www.opensc-project.org/libp11/
BuildRequires:	doxygen
BuildRequires:	libltdl-devel
BuildRequires:	openssl-devel >= 0.9.7
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
Libp11 is a library implementing a small layer on top of PKCS#11 API
to make using PKCS#11 implementations easier.

%description -l pl.UTF-8
Libp11 to biblioteka implementująca niewielką warstwę na wierzchu API
PKCS#11 mająca ułatwić używanie implementacji PKCS#11.

%package devel
Summary:	Header files for libp11 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libp11
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libltdl-devel
Requires:	openssl-devel >= 0.9.7

%description devel
Header files for libp11 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libp11.

%package static
Summary:	Static libp11 library
Summary(pl.UTF-8):	Statyczna biblioteka libp11
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libp11 library.

%description static -l pl.UTF-8
Statyczna biblioteka libp11.

%prep
%setup -q

%build
%configure \
	--enable-api-doc
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -af examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# obsoleted by pkgconfig
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libp11.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS doc/{README,nonpersistent/{ChangeLog,wiki.out/*}}
%attr(755,root,root) %{_libdir}/libp11.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libp11.so.2

%files devel
%defattr(644,root,root,755)
%doc doc/api.out/html/*
%attr(755,root,root) %{_libdir}/libp11.so
%{_includedir}/libp11.h
%{_pkgconfigdir}/libp11.pc
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libp11.a
%changelog
* Wed Jul 15 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libp11.git;a=log;h=master

* Wed Jul 15 2015 Jan Rękorajski <baggins@pld-linux.org> f98cfa3
- release 2 (by relup.sh)

* Wed Apr 20 2011 Jakub Bogusz <qboosh@pld-linux.org> 4786386
- updated to 0.2.8 (note: new soname)
- dropped libtool file (obsoleted by pkgconfig)

* Mon Jul 19 2010 Elan Ruusamäe <glen@pld-linux.org> da166ad
- up to 0.2.7, new soname

* Wed May 19 2010 sparky <sparky@pld-linux.org> 3bc9e60
- BR: doxygen; don't require c++ compiler

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1676aca
- release 2

* Mon Aug 25 2008 Jakub Bogusz <qboosh@pld-linux.org> af5c2a5
- readded ChangeLog

* Mon Aug 25 2008 Jakub Bogusz <qboosh@pld-linux.org> e3d69a0
- updated to 0.2.4

* Sat Jun 14 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 688779e
- rel 2

* Sun Aug 12 2007 Jakub Bogusz <qboosh@pld-linux.org> 75ec75e
- updated to 0.2.3
- require openssl with pkgconfig support (>= 0.9.7)

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3d21794
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 38532f2
- converted to UTF-8

* Mon Jan 01 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 8d1f7e6
- rel 2

* Fri Jun 02 2006 Jakub Bogusz <qboosh@pld-linux.org> 82853f7
- updated to 0.2.2

* Tue Mar 21 2006 Jakub Bogusz <qboosh@pld-linux.org> 8a61e2b
- updated URLs

* Mon Jan 09 2006 Jakub Bogusz <qboosh@pld-linux.org> 6e54eeb
- updated Source0 URL

* Thu Nov 24 2005 Jakub Bogusz <qboosh@pld-linux.org> 54c9b03
- added ChangeLog to docs

* Thu Nov 24 2005 Jakub Bogusz <qboosh@pld-linux.org> 5dc760e
- updated to 0.2.1

* Mon Nov 07 2005 Jakub Bogusz <qboosh@pld-linux.org> 38250a5
- updated to 0.2.0

* Wed Oct 12 2005 Jakub Bogusz <qboosh@pld-linux.org> 513d98e
- more specific URL

* Thu Oct 06 2005 Jakub Bogusz <qboosh@pld-linux.org> 79e5989
- new

